Bug 1941634 - users can see metrics of namespaces for which they don't have rights when monitoring own services with prometheus user workloads
Summary: users can see metrics of namespaces for which they don't have rights when mon...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Jayapriya Pai
QA Contact: hongyan li
URL:
Whiteboard:
Depends On: 1913386
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-22 14:08 UTC by Simon Pasquier
Modified: 2021-07-09 11:26 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1913386
Environment:
Last Closed: 2021-06-29 06:26:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1222 0 None open Bug 1941634: allow only /metrics for kube-rbac-proxy in front of UWM 2021-06-16 10:05:42 UTC
Red Hat Product Errata RHBA-2021:2498 0 None None None 2021-06-29 06:26:39 UTC

Comment 6 Junqi Zhao 2021-06-21 03:44:41 UTC
tested with 4.6.0-0.nightly-2021-06-19-165544, user can only view its metrics under their own project

Comment 9 errata-xmlrpc 2021-06-29 06:26:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.36 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2498


Note You need to log in before you can comment on or make changes to this bug.